Snoze Developers
API referenceInbound webhooks

Create

POST
/v1/workspaces/{workspaceId}/webhooks/inbound
AuthorizationBearer <token>

Workspace API key created in Workspace settings → API keys. Scopes on the key bound what it can read and write.

In: header

Path Parameters

workspaceId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/workspaces/string/webhooks/inbound" \  -H "Content-Type: application/json" \  -d '{    "label": "string"  }'
{  "data": {    "endpoint": {      "id": "string",      "workspaceId": "string",      "key": "string",      "label": "string",      "slug": "string",      "enabled": true,      "eventType": "string",      "hasSecret": true,      "createdByUserId": "string",      "createdAt": "string",      "updatedAt": "string"    },    "signingSecret": "string",    "urlPath": "string"  }}